#!/bin/sh

# major architectures.
targets="arm-elf h8300-elf mips-elf powerpc-elf sh-elf"

# other architectures.
targets="$targets avr-elf cris-elf frv-elf m32r-elf m6811-elf"
targets="$targets mips16-elf mn10300-elf sh64-elf sparc-elf v850-elf"

# simulator only. (fail building gdb)
targets_simonly="mcore-elf"

tool="gdb"
operation="build"
. ../config.sh

opt="--prefix=$install_dir --disable-nls"

for target in $targets; do
    mkdir -p $target
    cd $target
    ../../../gnu/$gdb/configure --target=$target $opt
    $make
    cd ..
done

subdirs="bfd opcodes libiberty sim"

for target in $targets_simonly; do
    mkdir -p $target
    cd $target
    for subdir in $subdirs; do
        mkdir -p $subdir
        cd $subdir
        ../../../../gnu/$gdb/$subdir/configure --target=$target $opt
        $make
        cd ..
    done
    cd ..
done
